Package com.datecs.fiscalprinter.SDK.model.BGR

# Class FDModelDetectorV2

java.lang.Object
com.datecs.fiscalprinter.SDK.AbstractTransportProtocol
com.datecs.fiscalprinter.SDK.TransportProtocolV2
com.datecs.fiscalprinter.SDK.model.BGR.FDModelDetectorV2

    public class FDModelDetectorV2
    extends TransportProtocolV2

- ## Field Summary

  ### Fields inherited from class com.datecs.fiscalprinter.SDK.TransportProtocolV2

  `MAX_DATA_SIZE, MAX_PACKET_SIZE`

  ### Fields inherited from class com.datecs.fiscalprinter.SDK.AbstractTransportProtocol

  `CP_1250, CP_1251, CP_866`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FDModelDetectorV2​(FiscalSocket socket)` |
  `FDModelDetectorV2​(FiscalSocket socket, int encoding)` |
  `FDModelDetectorV2​(java.io.InputStream in, java.io.OutputStream out)` |
  `FDModelDetectorV2​(java.io.InputStream in, java.io.OutputStream out, int encoding)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `detectConnectedModel()` |
  `TransportProtocolV2` | `getTransportProtocol()` |
  `java.lang.String` | `getVendorName()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.TransportProtocolV2

  `customCommand, getStatusBytes, isStatusBitTriggered`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.AbstractTransportProtocol

  `close, setDebugLevel, setEncoding, toAnsi`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FDModelDetectorV2

    public FDModelDetectorV2​(java.io.InputStream in, java.io.OutputStream out)

  - ### FDModelDetectorV2

    public FDModelDetectorV2​(java.io.InputStream in, java.io.OutputStream out, int encoding)

  - ### FDModelDetectorV2

    public FDModelDetectorV2​(FiscalSocket socket, int encoding)

  - ### FDModelDetectorV2

    public FDModelDetectorV2​(FiscalSocket socket)

- ## Method Details

  - ### getVendorName

    public java.lang.String getVendorName() throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### detectConnectedModel

    public java.lang.String detectConnectedModel() throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### getTransportProtocol

    public TransportProtocolV2 getTransportProtocol()